/*----------------------------------------------------------------------------
 Copyright:      Wolfgang Scherr
 Author:         Wolfgang Scherr
 Remarks:        from scratch written, influenced by several web sources,
				 especially: webpage.h from Ulrich Radigs Webserver. 
				 Irgendwann sollte ich mich selbst auf dt. oder en. Kommentare einigen :-)
 known Problems: may cause garbled output for some keys, still "alpha" code 
 Version:        22.03.2009
 Description:    Simple (flash) FS support

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#ifndef _FLASHFS_H
	#define _FLASHFS_H

#if USE_FLASHFS

	//----------------------------------------------------------------------------
	
	///Initialize flash file system (FFS)
	void ffs_init(void); 
	///Add an fileentry
	unsigned char ffs_add(PGM_P, PGM_P, unsigned int);
	///Checks if a file exists
	unsigned char ffs_exists(char *);
	///Reads a file into a buffer
	///with a certain filename from a position and a given length
	unsigned int ffs_read(char*, char*, unsigned int, unsigned int);
	
#endif //USE_FLASHFS

#endif //_FLASHFS_H
