/*----------------------------------------------------------------------------
 Copyright:      Michael Kleiber
 Author:         Michael Kleiber
 Remarks:        
 known Problems: none
 Version:        29.04.2008
 Description:    DHCP Client

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/

#if USE_DHCP
#ifndef _DHCPCLIENT_H
	#define _DHCPCLIENT_H

	//DHCP Portdefinitionen
	#define DHCP_CLIENT_PORT		  68
	#define DHCP_SERVER_PORT		  67

	#define DHCP_LEASE_TIME 		600
	#define DHCP_TIMEOUT			5

	void dhcp_init     (void);
	void dhcp_message  (unsigned char type);
	void dhcp_get      (void);
	unsigned char dhcp (void);

#endif //_DHCPCLIENT_H
#endif //USE_DHCP

